Subject: Re: linux-next: Tree for Aug 1

From: Stephen Rothwell <[email-masked]>
Date: Thu, 2 Aug 2018 10:05:05 +1000

Hi all,

On Wed, 01 Aug 2018 16:00:54 -0700 James Bottomley <[email-masked]> wrote:
>
> So what seems to be happening to cause this is that there's a patch
> somewhere between the merge base of my scsi-next series and the next
> tree and the patch just before scsi-next was actually merged that
> actually causes a boot failure with blk-mq enabled.  Could you try to
> find this patch?  I think the way to do it is to try to bisect this
> range of linux-next using the command line
> 
> scsi_mod.use_blk_mq=1
> 
> Which forces block mq to be the default and seeing where the first boot
> failure is (you don't need my scsi-next tree merged to do this because
> all the offending patch does is flip the default state of the above
> flag).

So this means using v4.8-rc1 as the first good commit and 453f1d821165
("Merge remote-tracking branch 'cgroup/for-next'") as the first bad
(assuming that this latter fails to boot with "scsi_mod.use_blk_mq=1").

-- 
Cheers,
Stephen Rothwell